
from django.core.management.base import BaseCommand
from django.contrib.auth.models import Group, User
from django.contrib.auth.models import Permission

from uhepp_vault.models import Collaboration

COLLABORATIONS = [
    # Name, role, group
    ("ATLAS", "atlas", "atlas-members"),
]


class Command(BaseCommand):
    def handle(self, *args, **options):
        for name, role, group_name in COLLABORATIONS:
            group, _ = Group.objects.get_or_create(name=group_name)
            collab, _ = Collaboration.objects.get_or_create(perm_group=group)
            collab.name = name
            collab.cern_role = role
            collab.save()
        print("Created collaborations and groups")
